This month’s roundup includes the official launch of our Ruby SDK, upgrades to our Python and Java SDKs, and improved subscription checks for vehicle owners in Europe.

💎 Official Smartcar Ruby SDK

After launching a beta version earlier this year, we’re excited to announce that the Smartcar Ruby SDK is now widely available. Developers can now choose between five API SDKs (Go, Java, Node.js, Python, and Ruby) and three Smartcar Connect SDKs (Android, iOS, and JavaScript) when integrating Smartcar into their web or mobile app.

🐍☕ Upgrades to Python and Java SDKs

We also created some updates to our Python and Java SDKs this month. The Smartcar Python SDK now supports type hints and other features of the newest Python versions. Deprecated versions (older than Python 3.6) are no longer supported.

Both, our Python and Java SDK now feature improved error handling for exceptions. From now on, developers will only need to handle SmartcarExceptions.

✅ Improved Subscription Check in Smartcar Connect

Our Subscription Check feature in Smartcar Connect is now compatible with Volkswagen vehicles in Germany, the UK, Sweden, and Norway. When a user tries to link a compatible Volkswagen vehicle with an expired Car-Net subscription, Subscription Check detects the issue and provides the user with instructions to reactivate their subscription.